Feed (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portal.databook.shared
Class Feed

    java.lang.Object
      org.gcube.portal.databook.shared.Feed

All Implemented Interfaces:
  Serializable, Comparable<Feed>

    public class Feed

extends Object
implements Serializable, Comparable<Feed>

Version:
  0.1 July 2012
Author:
  Massimiliano Assante, ISTI-CNR
See Also:
  Serialized Form

Constructor Summary
`Feed()` default constructor
`Feed(String key, FeedType type, String entityId, Date time, String vreid, String uri, String uriThumbnail, String description, PrivacyLevel privacy, String fullName, String email, String thumbnailURL, String linkTitle, String linkDescription, String linkHost)` To use ONLY for USER Feeds
`Feed(String key, FeedType type, String entityId, Date time, String vreid, String uri, String uriThumbnail, String description, PrivacyLevel privacy, String fullName, String email, String thumbnailURL, String linkTitle, String linkDescription, String linkHost, boolean applicationFeed)` To use for USER and ApplicationProfile Feeds
`Feed(String key, FeedType type, String entityId, Date time, String vreid, String uri, String uriThumbnail, String description, PrivacyLevel privacy, String fullName, String email, String thumbnailURL, String commentsNo, String likesNo, String linkTitle, String linkDescription, String linkHost, boolean applicationFeed)` for serialization purposes

Method Summary
`int` | `compareTo(Feed toCompare)`
`String` | `getCommentsNo()`
`String` | `getDescription()`
`String` | `getEmail()`
`String` | `getEntityId()`
`String` | `getFullName()`
`String` | `getKey()`
`String` | `getLikesNo()`
`String` | `getLinkDescription()`
`String` | `getLinkHost()`
`String` | `getLinkTitle()`
`PrivacyLevel` | `getPrivacy()`
`String` | `getThumbnailURL()`
`Date` | `getTime()`
`FeedType` | `getType()`
`String` | `getUri()`
`String` | `getUriThumbnail()`
`String` | `getVreid()`
`boolean` | `isApplicationFeed()`
`void` | `setApplicationFeed(boolean applicationFeed)`
`void` | `setCommentsNo(String commentsNo)`
`void` | `setDescription(String description)`
`void` | `setEmail(String email)`
`void` | `setEntityId(String entityId)` set the User or the App id
`void` | `setFullName(String fullName)`
`void` | `setKey(String key)`
`void` | `setLikesNo(String likesNo)`
`void` | `setLinkDescription(String linkDescription)`
`void` | `setLinkHost(String linkHost)`
`void` | `setLinkTitle(String linkTitle)`
`void` | `setPrivacy(PrivacyLevel privacy)`
`void` | `setThumbnailURL(String thumbnailURL)`
`void` | `setTime(Date time)`
`void` | `setType(FeedType type)`
`void` | `setUri(String uri)`
`void` | `setUriThumbnail(String uriThumbnail)`
`void` | `setVreid(String vreid)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Feed

    public Feed()

  default constructor

### Feed

    public Feed(String key,
                FeedType type,
                String entityId,
                Date time,
                String vreid,
                String uri,
                String uriThumbnail,
                String description,
                PrivacyLevel privacy,
                String fullName,
                String email,
                String thumbnailURL,
                String linkTitle,
                String linkDescription,
                String linkHost)

  To use ONLY for USER Feeds

  Parameters:
    `key` - a UUID
    `type` - an instance of FeedType
    `entityId` - the user or the app unique indentifier
    `timestamp` - when
    `vreid` - a unique vre id
    `uri` - optional uri
    `uriThumbnail` - the thumbnail for the link posted
    `description` - optional description
    `privacy` - the privacy level of PrivacyLevel
    `fullName` -
    `email` -
    `thumbnailURL` - this is the user thumbnail url
    `linkTitle` - optional to be used when posting links
    `linkDescription` - optional to be used when posting links

### Feed

    public Feed(String key,
                FeedType type,
                String entityId,
                Date time,
                String vreid,
                String uri,
                String uriThumbnail,
                String description,
                PrivacyLevel privacy,
                String fullName,
                String email,
                String thumbnailURL,
                String linkTitle,
                String linkDescription,
                String linkHost,
                boolean applicationFeed)

  To use for USER and ApplicationProfile Feeds

  Parameters:
    `key` - a UUID
    `type` - an instance of FeedType
    `entityId` - the user or the app unique indentifier
    `timestamp` - when
    `vreid` - a unique vre id
    `uri` - optional uri
    `uriThumbnail` - the thumbnail for the link posted
    `description` - optional description
    `privacy` - the privacy level of PrivacyLevel
    `fullName` -
    `email` -
    `thumbnailURL` - this is the user thumbnail url
    `linkTitle` - optional to be used when posting links
    `linkDescription` - optional to be used when posting links
    `applicationFeed` - tell if this is an application feed or a user feed

### Feed

    public Feed(String key,
                FeedType type,
                String entityId,
                Date time,
                String vreid,
                String uri,
                String uriThumbnail,
                String description,
                PrivacyLevel privacy,
                String fullName,
                String email,
                String thumbnailURL,
                String commentsNo,
                String likesNo,
                String linkTitle,
                String linkDescription,
                String linkHost,
                boolean applicationFeed)

  for serialization purposes

  Parameters:
    `key` - a UUID
    `type` - an instance of FeedType
    `entityId` - the user or the app unique indentifier
    `timestamp` - when
    `vreid` - a unique vre id
    `uri` - optional uri
    `uriThumbnail` - the thumbnail for the link posted
    `description` - optional description
    `privacy` - the privacy level of PrivacyLevel
    `fullName` -
    `email` -
    `thumbnailURL` - this is the user thumbnail url
    `linkTitle` - optional to be used when posting links
    `linkDescription` - optional to be used when posting links

Method Detail

### getKey

    public String getKey()

  Returns:

### setKey

    public void setKey(String key)

### getType

    public FeedType getType()

### setType

    public void setType(FeedType type)

### getEntityId

    public String getEntityId()

  Returns:
    the User or the App id

### setEntityId

    public void setEntityId(String entityId)

  set the User or the App id

  Parameters:
    `entityId` - the UserId or the AppId id

### getTime

    public Date getTime()

### setTime

    public void setTime(Date time)

### getVreid

    public String getVreid()

### setVreid

    public void setVreid(String vreid)

### getUri

    public String getUri()

### setUri

    public void setUri(String uri)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getPrivacy

    public PrivacyLevel getPrivacy()

### setPrivacy

    public void setPrivacy(PrivacyLevel privacy)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### getThumbnailURL

    public String getThumbnailURL()

### setThumbnailURL

    public void setThumbnailURL(String thumbnailURL)

### getCommentsNo

    public String getCommentsNo()

### setCommentsNo

    public void setCommentsNo(String commentsNo)

### getLikesNo

    public String getLikesNo()

### setLikesNo

    public void setLikesNo(String likesNo)

### getUriThumbnail

    public String getUriThumbnail()

### setUriThumbnail

    public void setUriThumbnail(String uriThumbnail)

### getLinkTitle

    public String getLinkTitle()

### setLinkTitle

    public void setLinkTitle(String linkTitle)

### getLinkDescription

    public String getLinkDescription()

### setLinkDescription

    public void setLinkDescription(String linkDescription)

### compareTo

    public int compareTo(Feed toCompare)

  Specified by:
    `compareTo` in interface `Comparable<Feed>`

### getLinkHost

    public String getLinkHost()

### setLinkHost

    public void setLinkHost(String linkHost)

### isApplicationFeed

    public boolean isApplicationFeed()

### setApplicationFeed

    public void setApplicationFeed(boolean applicationFeed)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.